SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000773SiT!setup/configpublic2009-07-13 21:012009-08-16 14:38
Reportermfeider67 
Assigned Toivan 
PrioritynormalSeveritymajorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.45 
Target Version3.50Fixed in Version3.50 
Summary0000773: upgrading to svn 3.50 - error
DescriptionPlease see attached picture (in place of text below - the text is hard to read)

1. table Trigger doesn't seem to have a 'type' column, but line 2760 in setup-schema.php seems to think it should

2. not sure what is wrong here, myphpadmin doesn't like it either

3. there is an extra character at the end of line 2761 in setup-scheme.php that is causing this one - running in myphpadmin works fine with the removal of this character.

4. I didn't look into the missing trigger function. I am guessing a missing library call though.
Additional InformationSupport Incident Tracker - Installation & Setup
Connected to database - ok

Installed OK
Updating schema from 3.45 to v3.50…

A MySQL error occurred: [1064] You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'TABLE `triggers` SET `type` = 'built-in' WHERE id < 35' at line 1
You may have found a bug, if you think this is the case please report it.
Raw SQL: UPDATE TABLE `triggers` SET `type` = 'built-in' WHERE id < 35
A MySQL error occurred: [1064] You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'TABLE `noticetemplates` SET `description` = 'strNoticeMinsHeldEmailDesc', `text`' at line 1
You may have found a bug, if you think this is the case please report it.
Raw SQL: UPDATE TABLE `noticetemplates` SET `description` = 'strNoticeMinsHeldEmailDesc', `text` = 'strNoticeMinsHeldEmail' WHERE `name` = 'NOTICE_MINS_HELD_EMAIL' AND `description` = 'strNoticeNewUserDesc' AND `text` = 'strNoticeNewUser'
A MySQL error occurred: [1064] You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'i UPDATE `emailtemplates` SET `type` = 'system' WHERE id < 28 AND id > 1 AND ty' at line 1
You may have found a bug, if you think this is the case please report it.
Raw SQL: i UPDATE `emailtemplates` SET `type` = 'system' WHERE id < 28 AND id > 1 AND type != 'incident'
Summary: 3 Error(s) occurred while updating the schema, please resolve the problems reported and then try running setup again.
See the doc/UPGRADE file for further upgrade instructions and help.


Upgrade complete
Upgraded to v3.50


Fatal error: Call to undefined function trigger() in /var/www/sit-3.45/setup.php on line 1358
TagsNo tags attached.
Attached Filespng file icon sit_3.50erroronupgrade.png [^] (64,776 bytes) 2009-07-13 21:01

- Relationships

-  Notes
User avatar (0001316)
ivan (administrator)
2009-07-16 10:19

Hi Matt,

Thanks for the bug report.

Ivan
User avatar (0001338)
ivan (administrator)
2009-07-17 12:18

Confirmed by Tomse and Legoman
User avatar (0001365)
ivan (administrator)
2009-07-21 22:04

Fixed in trunk svn r5547
User avatar (0001625)
ivan (administrator)
2009-08-16 14:38

Released in 3.50rc1

- Issue History
Date Modified Username Field Change
2009-07-13 21:01 mfeider67 New Issue
2009-07-13 21:01 mfeider67 File Added: sit_3.50erroronupgrade.png
2009-07-16 10:19 ivan Note Added: 0001316
2009-07-16 10:19 ivan Status new => acknowledged
2009-07-17 12:18 ivan Note Added: 0001338
2009-07-17 12:18 ivan Status acknowledged => confirmed
2009-07-20 22:00 ivan Target Version => 3.50
2009-07-21 21:21 ivan Status confirmed => assigned
2009-07-21 21:21 ivan Assigned To => ivan
2009-07-21 22:04 ivan Note Added: 0001365
2009-07-21 22:04 ivan Status assigned => resolved
2009-07-21 22:04 ivan Resolution open => fixed
2009-07-21 22:04 ivan Fixed in Version => Current SVN
2009-08-16 13:16 ivan Fixed in Version Current SVN => 3.50
2009-08-16 14:38 ivan Note Added: 0001625
2009-08-16 14:38 ivan Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker